#!/usr/bin/python3
# -*- coding: utf-8 -*-
import utils


def setup(interactive=True):
    dir_path = utils.get_dir(__file__)
    cmds = []
    # http.ini
    ftpmsuploader = utils.get_conf('ftp_ftpmsuploader')
    ftpstorage = utils.get_conf('ftp_ftpstorage')
    ftpadmin = utils.get_conf('ftp_ftpadmin')
    if ftpmsuploader and ftpstorage and ftpadmin:
        cmds.append('mkdir -p /etc/hca')
        cmds.append(dict(line='write', template='%s/http.ini' % dir_path, target='/etc/hca/http.ini', params=(
            ('{{ MS_SERVER_NAME }}', utils.get_conf('MS_SERVER_NAME', 'mediaserver')),
            ('{{ ftp_server_name }}', utils.get_conf('ftp_server_name', 'videos')),
            ('{{ ftp_storage_pwd }}', ftpstorage),
            ('{{ ftp_msuploader_pwd }}', ftpmsuploader),
            ('{{ ftp_admin_pwd }}', ftpadmin),
        )))
    else:
        print('Configuration of HCA http.ini file skipped (no FTP passwords in config).')
    # rtmp.ini
    streaming_pwd = utils.get_conf('WOWZA_LIVE_PWD')
    if streaming_pwd:
        cmds.append('mkdir -p /etc/hca')
        cmds.append(dict(line='write', template='%s/rtmp.ini' % dir_path, target='/etc/hca/rtmp.ini', params=(
            ('{{ MS_SERVER_NAME }}', utils.get_conf('MS_SERVER_NAME', 'mediaserver')),
            ('{{ streaming_pwd }}', streaming_pwd),
        )))
    else:
        print('Configuration of HCA rtmp.ini file skipped (no live password in config).')

    if cmds:
        utils.run_commands(cmds)
